Class
Pipe
Pipes are pop-passive pipeline modules.

Pipe

Caster | Counter | Echoer | EditEnvironment | Filter | Joiner
Namer | Sampler | Shifter | Source | Tupler

Pipe<TInput, TSpec>
Parameters

TInput | The type of the pipeline module this module reads from. Remarks: Use Bundle2, Bundle3, etc. to read from more than one module.
TSpec | The specializing type.

Remarks
Use Value to get the output type of a given Pipe (returns Value<TInput>::Type by default).
Use Size to get the size type of a given Pipe (returns Size<TInput>::Type by default).
Specializations

Caster | Casts the input type in a specific output type.
Counter | Extends the input stream by a second field which enumerates the elements.
Echoer | Outputs tuples of the echoRepeats last elements of the input stream.
EditEnvironment | Outputs tuples of the tupleLen consecutive elements of the input stream.
Filter | Applies a specific function to the input stream.
Joiner | Joins two or three input streams.
Namer | Extends the input stream by a second field which names the elements.
Sampler | Outputs m-tuples beginning at a position of difference cover DC.
Shifter | Shifts the input stream by delta elements.
Source | Pipelining adaptor for arbitrary containers or iterators.
Tupler | Outputs tuples of the tupleLen consecutive elements of the input stream.

Member Functions

Pipe | Constructor

Functions

assign | Assigns one object to another object.
atEnd | Determines whether an iterator is at the end position.
beginRead | Initiates a read process.
endRead | Terminates a read process.
front | Gets the first element of the remaining stream.
length | The number of items/characters.
pop | Pops the first element of the remaining stream.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45